Package ru.bitel.bgbilling.modules.sorm.common.bean

# Class Bunch

java.lang.Object
ru.bitel.bgbilling.modules.sorm.common.bean.Bunch

public class Bunch extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bunch()`
  `Bunch(int id, String title, String description, Directional directional, String mac, Date dateStart, Date dateEnd, String idCommutator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateEnd()`
  `Date`
  `getDateStart()`
  `String`
  `getDescription()`
  `Directional`
  `getDirectional()`
  `int`
  `getId()`
  `String`
  `getIdCommutator()`
  `String`
  `getMac()`
  `String`
  `getTitle()`
  `void`
  `setDateEnd(Date dateEnd)`
  `void`
  `setDateStart(Date dateStart)`
  `void`
  `setDescription(String description)`
  `void`
  `setDirectional(Directional directional)`
  `void`
  `setId(int id)`
  `void`
  `setIdCommutator(String idCommutator)`
  `void`
  `setMac(String mac)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Bunch

    public Bunch()

  - ### Bunch

    public Bunch(int id, String title, String description, Directional directional, String mac, Date dateStart, Date dateEnd, String idCommutator)

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getDirectional

    public Directional getDirectional()

  - ### setDirectional

    public void setDirectional(Directional directional)

  - ### getMac

    public String getMac()

  - ### setMac

    public void setMac(String mac)

  - ### getDateStart

    public Date getDateStart()

  - ### setDateStart

    public void setDateStart(Date dateStart)

  - ### getDateEnd

    public Date getDateEnd()

  - ### setDateEnd

    public void setDateEnd(Date dateEnd)

  - ### getIdCommutator

    public String getIdCommutator()

  - ### setIdCommutator

    public void setIdCommutator(String idCommutator)